Bug 1465701 - fmt-5.1.0 is available
Summary: fmt-5.1.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fmt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kefu Chai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1599187 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-28 00:20 UTC by Upstream Release Monitoring
Modified: 2018-12-06 03:56 UTC (History)
5 users (show)

Fixed In Version: 5.2.1-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-29 10:43:31 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 4.0.0 (#1465701) (878 bytes, patch)
2017-06-28 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 4.1.0 (#1465701) (938 bytes, patch)
2017-12-22 00:23 UTC, Upstream Release Monitoring
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1638768 medium CLOSED Review Request: fmt - Small, safe and fast formatting library for C++ 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1638938 unspecified CLOSED Nonresponsive maintainer 2020-10-14 00:28:05 UTC

Internal Links: 1638768 1638938

Description Upstream Release Monitoring 2017-06-28 00:20:13 UTC
Latest upstream release: 4.0.0
Current version/release in rawhide: 3.0.2-1.fc27
URL: https://github.com/fmtlib/fmt

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11526/

Comment 1 Upstream Release Monitoring 2017-06-28 00:20:20 UTC
Created attachment 1292526 [details]
[patch] Update to 4.0.0 (#1465701)

Comment 2 Upstream Release Monitoring 2017-06-28 00:24:54 UTC
hotness's scratch build of fmt-4.0.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20217818

Comment 3 Upstream Release Monitoring 2017-12-22 00:23:13 UTC
Latest upstream release: 4.1.0
Current version/release in rawhide: 3.0.2-4.fc27
URL: https://github.com/fmtlib/fmt

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11526/

Comment 4 Upstream Release Monitoring 2017-12-22 00:23:17 UTC
Created attachment 1371113 [details]
[patch] Update to 4.1.0 (#1465701)

Comment 5 Upstream Release Monitoring 2017-12-22 00:27:28 UTC
hotness's scratch build of fmt-4.1.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23832980

Comment 6 Upstream Release Monitoring 2018-05-23 00:33:15 UTC
Latest upstream release: 5.0.0
Current version/release in rawhide: 3.0.2-5.fc28
URL: https://github.com/fmtlib/fmt

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11526/

Comment 7 Upstream Release Monitoring 2018-07-06 00:36:30 UTC
Latest upstream release: 5.1.0
Current version/release in rawhide: 3.0.2-5.fc28
URL: https://github.com/fmtlib/fmt

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11526/

Comment 8 leigh scott 2018-08-31 14:37:46 UTC
*** Bug 1599187 has been marked as a duplicate of this bug. ***

Comment 9 Avi Kivity 2018-09-26 18:10:09 UTC
A gentle ping. Fedora's fmt is now way behind upstream.

Comment 10 Avi Kivity 2018-10-09 11:04:43 UTC
Another ping :(

Comment 11 Kefu Chai 2018-10-12 12:21:54 UTC
#1638768 should address this.

hey @Dave, could you help review the package?

Comment 12 Jason Tibbitts 2018-10-12 17:09:28 UTC
A new package review is not helpful in this instance.  You should instead follow https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers.

Comment 13 Kefu Chai 2018-10-13 04:34:32 UTC
filed 1638938 in hope to get in touch with the maintainer.

FWIW, a pull request is posted to update the packaing: https://src.fedoraproject.org/rpms/fmt/pull-request/1

Comment 14 Dave Johansen 2018-10-14 18:40:27 UTC
Sorry for the delay in responding, but it's probably best that someone else take over maintaining this package. I love what this package is trying to do, but I disagree with how frequently the API/ABI is broken with this and that is the primary reason that I haven't updated it.

Also, this PR has a LOT of patches, but I guess that's something for the new maintainer to worry about.

Comment 15 Kefu Chai 2018-10-15 06:28:41 UTC
Thank you Dave!

Yeah, libfmt's API/ABI changes over time, but I think fmt is soversion being updated across ABI changes. So at least this is safe for its consumers which link against it dynamically.

Anyway, I'd like to maintain it as it's useful for C++ developers. Are you going to orphan this package?

Comment 16 Dave Johansen 2018-10-15 15:33:29 UTC
done

Comment 17 Kefu Chai 2018-10-16 09:11:20 UTC
FWIW, i am trying to adopt fmt. see https://pagure.io/releng/issue/7868

Comment 18 Kefu Chai 2018-10-29 10:43:31 UTC
it's included by rawhide, see https://apps.fedoraproject.org/packages/fmt

Comment 19 Avi Kivity 2018-10-29 17:14:21 UTC
Yay! Is a backport to 28/29 possible?

Comment 20 Kefu Chai 2018-10-31 07:33:29 UTC
yeah, i do plan to push this package to fc28/fc29. but just want to wait longer for possible bug report/complaints if any before moving forwards.

if everything goes well, i will try update fc28/fc29 with this change in two weeks.


note to myself and whoever is concerned about the inter-package dependency,  because kodi only has the build-time dependency on fmt-devel and fmt-static, there is no need to perform a single multi-package update[1] .

---
[1] https://fedoraproject.org/wiki/Package_update_HOWTO#Updating_inter-dependent_packages

Comment 21 Fedora Update System 2018-11-26 04:45:12 UTC
fmt-5.2.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-92f1137797

Comment 22 Fedora Update System 2018-11-27 05:13:33 UTC
fmt-5.2.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-92f1137797

Comment 23 Fedora Update System 2018-12-06 03:56:29 UTC
fmt-5.2.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.